Subject: Re: bug#19309: ediff: How to turn off pulsing icon in toolbar

From: Noam Postavsky <[email-masked]>
Date: Tue, 05 Jun 2018 20:53:53 -0400

tags 19309 notabug
close 19309
quit

"Laurence Finston" <[email-masked]> writes:

> I sent the following message to the help-gnu-emacs list, but didn't get an answer.
> Perhaps someone here could help me.

Well, this might be too late to be of any use, but...

> Is there any way to turn off the pulsing icon in the toolbar when using Ediff?
> Blinking cursors, etc. make me feel ill so I would appreciate it if someone could tell
> me how to turn it off.
>
> I'm using GNU Emacs 24.2.1, openSUSE 12.3 (i586) and IceWM. This is a new computer and
> I never had this problem with Ediff before.
>
> I'm not sure that "icon" is the right term. It's a field in the
> toolbar at the bottom of the screen with the name of one of the files
> (or buffers) that's being compared.

As far as I know, Emacs never makes any kind of pulsing thing there.
I'm guessing that's your window manager giving you an indication that
there's a new window because ediff does create a little popup frame by
default.  Doing

    (setq ediff-window-setup-function #'ediff-setup-windows-plain)

might help by telling ediff to use a normal Emacs window instead, then
your window manager won't be bothered.

I'm closing this report, because it's probably not an Emacs bug (this
doesn't prevent you from replying if you find the above isn't
applicable).